Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 311721 - sys-apps/grep-2.6 crashed with utf8 encoded input
Summary: sys-apps/grep-2.6 crashed with utf8 encoded input
Status: VERIFIED TEST-REQUEST
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Gentoo Linux bug wranglers
URL: http://bug-grep-request@gnu.org
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-28 09:44 UTC by Ladislav Laska
Modified: 2010-03-28 10:08 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ladislav Laska 2010-03-28 09:44:36 UTC
I wanted to match some czech characters and this was the result:

krakonos@kangaroo ~ $ echo mašinka | grep "^[[:alpha:]ěščřžýáí]*$"
Segmentation fault

I'm using en_US.UTF-8 locale and have never had a problem with encoding.

Reproducible: Always

Steps to Reproduce:
1. run
krakonos@kangaroo ~ $ echo mašinka | grep "^[[:alpha:]ěščřžýáí]*$"
Segmentation fault




This happened in konsole from kde 3.5 AND in xterm.
Comment 1 Ladislav Laska 2010-03-28 09:45:24 UTC
krakonos@kangaroo ~ $ emerge --info grep
Portage 2.2_rc67 (default/linux/x86/10.0, gcc-4.4.3, glibc-2.11-r1, 2.6.33-gentoo i686)
=================================================================
                        System Settings
=================================================================
System uname: Linux-2.6.33-gentoo-i686-Genuine_Intel-R-_CPU_L2400_@_1.66GHz-with-gentoo-2.0.1
Timestamp of tree: Fri, 26 Mar 2010 23:30:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     4.1_p2-r1
dev-java/java-config: 2.1.10
dev-lang/python:     2.6.5-r1, 3.1.2-r1
dev-python/pycrypto: 2.1.0
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.8.1
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.6.1-r1
sys-apps/sandbox:    2.2
sys-devel/autoconf:  2.65
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1
sys-devel/gcc:       4.3.2-r3, 4.4.3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.33
ACCEPT_KEYWORDS="x86 ~x86"
ACCEPT_LICENSE="* -@EULA PUEL dlj-1.1 cadsoft"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=prescott"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -march=prescott"
DISTDIR="/tmp/portage/distfiles"
FEATURES="assume-digests ccache distlocks fixpackages news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="en en_US en_GB cs"
MAKEOPTS="-j5"
PKGDIR="/var/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/science /var/lib/layman/zugaina /var/lib/layman/java-overlay /var/lib/layman/kde-sunset /var/lib/layman/sunrise /usr/local/portage/krakonos"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 acl acpi alsa bash-completion berkdb bluetooth bzip2 cdr cleartype cli consolekit cracklib crypt cue cups curl cxx dbus dmx dri dvd dvdr eap-sim encode ffmpeg flac gdbm gnutls gpm hal hdaps iconv ipv6 java5 java6 joystick jpeg jpeg2k kde kpathsea kvm latex lirc mad mikmod mmx modules mp3 mpeg mplayer mudflap musepack ncurses nls nptl nptlonly ogg opengl openmp pam pcmcia pcre perl plugins png postscript pppd python qt qt3support qt4 rdesktopi readline reflection samba sdl session sndfile spl sqlite sqlite3 srt sse sse2 ssl subversion svg sysfs tcpd tiff truetype unicode userlocales utf8 vorbis wifi win32codecs x264 x86 xorg xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_US en_GB cs" LIRC_DEVICES="serial_igor_cesko" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="intel"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

sys-apps/grep-2.6 was built with the following:
USE="nls pcre"

Comment 2 Lars Wendler (Polynomial-C) gentoo-dev 2010-03-28 10:01:12 UTC
We already have sys-apps/grep-2.6.1 in portage. Please try this version and report if the observed error still exists in that version...
Comment 3 Ladislav Laska 2010-03-28 10:08:55 UTC
(In reply to comment #2)
> We already have sys-apps/grep-2.6.1 in portage. Please try this version and
> report if the observed error still exists in that version...
> 

Thanks, 2.6.1 works fine. 

Sorry for not testing 2.6.1 in the first place, I did not think of sync, since I synced just yesterday.